/// <reference types="node" />
import * as childProcess from 'child_process';
import { EventEmitter } from 'events';
import { ElectronHolochainOptions, PathOptions } from './options.js';
declare type STATUS_EVENT = 'status';
declare const STATUS_EVENT = "status";
declare type APP_PORT_EVENT = 'port';
declare const APP_PORT_EVENT = "port";
declare type ERROR_EVENT = 'error';
declare const ERROR_EVENT = "error";
declare type HOLOCHAIN_RUNNER_QUIT = 'holochain_runner_quit';
declare const HOLOCHAIN_RUNNER_QUIT = "holochain_runner_quit";
declare type LAIR_KEYSTORE_QUIT = 'lair_keystore_quit';
declare const LAIR_KEYSTORE_QUIT = "lair_keystore_quit";
export { STATUS_EVENT, APP_PORT_EVENT, ERROR_EVENT, LAIR_KEYSTORE_QUIT, HOLOCHAIN_RUNNER_QUIT, };
export declare interface StatusUpdates {
    on(event: STATUS_EVENT | APP_PORT_EVENT | ERROR_EVENT | LAIR_KEYSTORE_QUIT | HOLOCHAIN_RUNNER_QUIT, listener: (status: StateSignal | string | Error) => void): this;
}
export declare class StatusUpdates extends EventEmitter {
    emitStatus(status: StateSignal): void;
    emitAppPort(port: string): void;
    emitError(error: Error): void;
    emitHolochainRunnerQuit(): void;
    emitLairKeystoreQuit(): void;
}
export declare enum StateSignal {
    IsFirstRun = 0,
    IsNotFirstRun = 1,
    CreatingKeys = 2,
    RegisteringDna = 3,
    InstallingApp = 4,
    EnablingApp = 5,
    AddingAppInterface = 6,
    IsReady = 7
}
export declare function runHolochain(statusEmitter: StatusUpdates, options: ElectronHolochainOptions, pathOptions?: PathOptions): Promise<{
    lairHandle: childProcess.ChildProcessWithoutNullStreams;
    holochainRunnerHandle: childProcess.ChildProcessWithoutNullStreams;
}>;
//# sourceMappingURL=holochain.d.ts.map