"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const path = require("path");
const electron_1 = require("electron");
const src_1 = require("../src");
const runnerOptions = {
    happPath: path.join(__dirname, '../../test/test.happ'),
    datastorePath: path.join(__dirname, '../../test/data/databases'),
    keystorePath: path.join(__dirname, '../../test/data/keystore'),
    passphrase: '1234abcd'
    // appId?: string
    // appWsPort?: number
    // adminWsPort?: number
    // proxyUrl?: string
};
electron_1.app.on('ready', async () => {
    try {
        const { statusEmitter } = await src_1.default(electron_1.app, runnerOptions);
        statusEmitter.on(src_1.STATUS_EVENT, (state) => {
            console.log('holochain-runner state:', state);
        });
    }
    catch (e) {
        console.log(e);
    }
});
//# sourceMappingURL=run-test.js.map